<?php
    @session_start();
    if (!isset($_SESSION["admin"]["id"])) {
        echo "<script>location.href='index.php';</script>";
    }

    include "../config/conf.php";

    if ($_POST) {
    	
    	$id = $_POST["id"];
    	

    	$sql = "select * from foto where id = ".(int)$id." limit 1";
    	$consulta = $db->prepare($sql);
    	$consulta->execute();
    	$row = $consulta->fetch(PDO::FETCH_OBJ);

    	$imagem = "../".$pastaFotos.$row->foto;

    	$sql = "delete from foto where id = ".(int)$id." limit 1";
    	$consulta = $db->prepare($sql);
    	if ($consulta->execute()) {
    		unlink($imagem."p.jpg");
    		unlink($imagem."m.jpg");
    		unlink($imagem."g.jpg");
    		echo "<div class='alert alert-success'>Imagem excluída com sucesso!</div>";
    	} else {
    		echo "<div class='alert alert-danger'>Erro ao excluir imagem.</div>";
    	}

    } else {
    	echo "<div class='alert alert-danger'>Erro ao acessar página!</div>";
    }

?>